using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/CCMoveAndSlide.svg")]
  public partial class MoveAndSlide:CharacterControllerAction
  {
    protected override void _OnTrigger()
    {
      // RJLog.Log( controller.body.Velocity );
      controller.body.MoveAndSlide();
    }
  }
}